summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorUwe Kleine-König <ukleinek@strlen.de>2010-09-24 16:47:17 +0200
committerUwe Kleine-König <ukleinek@strlen.de>2010-09-24 16:55:23 +0200
commitf36468e24d812cd9cb338fb4224cf7fdb750c232 (patch)
tree169eb9da95c72c27ce552ae7dcb240fab2c7957a
parent7f780e469f7deda4818c24cb2159edd432bed401 (diff)
downloadubergit-f36468e24d812cd9cb338fb4224cf7fdb750c232.tar.gz
ubergit-f36468e24d812cd9cb338fb4224cf7fdb750c232.tar.xz
use --keep-dashdash for option parsing
This only works since git v1.7.2-rc3~1^2~2, so document this requirement in a README file. Signed-off-by: Uwe Kleine-König <ukleinek@strlen.de>
-rw-r--r--README2
-rw-r--r--uglib.sh5
2 files changed, 3 insertions, 4 deletions
diff --git a/README b/README
new file mode 100644
index 0000000..9b60110
--- /dev/null
+++ b/README
@@ -0,0 +1,2 @@
+= Dependencies =
+ - git (>= v1.7.2-rc3~1^2~2)
diff --git a/uglib.sh b/uglib.sh
index e1b0126..faf8d93 100644
--- a/uglib.sh
+++ b/uglib.sh
@@ -207,8 +207,5 @@ sq() {
## option parsing ## {{{1
if test -n "$UG_OPTIONS_SPEC"; then
- # depends on git >= v1.7.2-rc3~1^2~2, because before passing
- # --keep-dashdash made git ignore --stop-at-non-option
- #eval "$(printf "%s\n" "$UG_OPTIONS_SPEC" | git rev-parse --parseopt --keep-dashdash --stop-at-non-option -- "$@" || exit "$?")"
- eval "$(printf "%s\n" "$UG_OPTIONS_SPEC" | git rev-parse --parseopt --stop-at-non-option -- "$@" || exit "$?")"
+ eval "$(printf "%s\n" "$UG_OPTIONS_SPEC" | git rev-parse --parseopt --keep-dashdash --stop-at-non-option -- "$@" || exit "$?")"
fi